﻿/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.actionscript-facile.com
  Portions created by the Initial Developer are Copyright (C) 2010
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
package
{
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	import net.richardlord.utils.Singleton;
	import flash.text.TextField;
	import flash.events.Event;
	import flash.display.Sprite;
	
	import com.demonsters.debugger.MonsterDebugger;


	public class Main extends Sprite
	{
		
		/**
		 * Constructeur.
		 * 
		 */
		public function Main()
		{
			// attend la fin de l'initialisation de la scène
			this.addEventListener(Event.ADDED_TO_STAGE, onReady, false, 0, true);
		}

		/**
		 * Démarrage de l'application.
		 * définit le nombre d'images par secondes dans les paramètres de compilation
		 * -default-frame-rate 40
		 * 
		 */
		private function onReady(event : Event) : void
		{
			this.removeEventListener(Event.ADDED_TO_STAGE, onReady);

			// Init De MonsterDebugger
			MonsterDebugger.initialize(this);
			MonsterDebugger.trace(this, "Start Application");
			
			this.addText();
			
			var txtField:TextField = Singleton( TextField );
			this.addChild(txtField);
			
			this.updateText("Mise à jour du champ texte avec la classe Singleton !");
		}
		

		/**
		 * Création d'un champ texte.
		 * 
		 */
		private function addText() : void
		{
			 var txtField:TextField = Singleton( TextField );
		     txtField.text = "Texte d'initilisation...";
		     txtField.autoSize = TextFieldAutoSize.LEFT;
		     txtField.textColor = 0x006f77;
		     txtField.selectable = false;
		 	 txtField.x = 33;
			 txtField.y = 163;
			 
		     // définit le format par défaut du texte
		     var format : TextFormat = new TextFormat();
		     format.size = 21;
		     format.font = "Arial";
		     txtField.defaultTextFormat = format;	 
		}
		
		
		
		/**
		 * Mise à jour du champ texte
		 * en utilisant la classe singleton
		 * 
		 */
		private function updateText(sValue:String) : void
		{
			var txtField:TextField = Singleton( TextField );
			txtField.text = sValue;
		}

	}
}
